﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace WpfOsi.BaseClasses
{
    [Serializable]
    public abstract class NotifyBase : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        /// <summary>
        /// Prozedur wirft den INotifyPropertyChanged Event welcher in der WPF benötigt wird um die UI zu verständingen
        /// das eine Änderung an einem Property stattgefunden hat.
        /// </summary>
        /// <param name="prop">Das Propertie welches sich geändert hat. Ist Optional da als Parameter "CallerMemberName" verwendet wird. Wird Nothing übergeben werden alle Properties des Views aktualisiert!!</param>
        protected virtual void RaisePropertyChanged([CallerMemberName] string prop ="")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(prop));
        }
    }
}
