﻿using System.Collections.Generic;
using System.Diagnostics;

namespace WpfOsi.BaseClasses
{
    public abstract class ViewModelBase: NotifyBase
    {
        private static readonly List<string> HostProcesses = new List<string> { "XDesProc", "devenv", "WDExpress" };

        /// <summary>Gibt zurück ob sich die ausführung des Codes aktuell in der Entwicklungszeit oder in der Laufzeit befindet.</summary>
       /// <returns>Wird Code des ViewModels vom XAML Designer ausgeführt wird True zurückgegeben.</returns>
        public bool IsInDesignMode
        {
            get{return HostProcesses.Contains(Process.GetCurrentProcess().ProcessName);}
        }
    }
}